Bug 203025

Summary: Web Inspector: Network: updates when toggling resource caching should be sent to every connected target
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, drousso, inspector-bugzilla-changes, joepeck, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
See Also: https://bugs.webkit.org/show_bug.cgi?id=200384
Attachments:
Description Flags
Patch none

Description Devin Rousso 2019-10-15 22:20:39 PDT
(In reply to Joseph Pecoraro from comment <https://webkit.org/b/200384#36>)
> > Source/WebInspectorUI/UserInterface/Base/Main.js:2759
> > +    let target = WI.assumingMainTarget();
> > +    target.NetworkAgent.setResourceCachingDisabled(WI.settings.resourceCachingDisabled.value);
> 
> Whoa! NetworkAgent should work across multiple targets. So this is probably an existing bug and should just iterate all targets. (this could be pulled out into its own bug fix)
> 
>     for (let target of WI.targets) {
>         if (target.NetworkAgent)
>             target.NetworkAgent.setResourceCachingDisabled(WI.settings. resourceCachingDisabled.value);
>     }
Comment 1 Devin Rousso 2019-10-16 15:21:05 PDT
Created attachment 381121 [details]
Patch

This patch requires <https://webkit.org/b/200384>.
Comment 2 Joseph Pecoraro 2019-10-16 15:23:26 PDT
Comment on attachment 381121 [details]
Patch

r=me
Comment 3 WebKit Commit Bot 2019-10-17 02:05:51 PDT
Comment on attachment 381121 [details]
Patch

Clearing flags on attachment: 381121

Committed r251229: <https://trac.webkit.org/changeset/251229>
Comment 4 WebKit Commit Bot 2019-10-17 02:05:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-10-17 02:08:57 PDT
<rdar://problem/56363111>